<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
        <!-- Values -->

        <record id="values_view_form_action" model="ir.ui.view">
            <field name="name">ir.values.form.action</field>
            <field name="model">ir.values</field>
            <field name="type">form</field>
            <field name="priority">20</field>
            <field name="arch" type="xml">
                <form string="Connect Events to Actions">
                    <field name="name" select="1" required="1"/>
                    <newline/>
                    <group col="2" colspan="2">
                        <separator string="Action Source" colspan="2"/>
                        <field name="model_id" on_change="onchange_object_id(model_id)"/>
                        <field name="model" select="1" required="1"/>
                        <field name="res_id"/>
                        <field name="key2" select="2" required="1"/>
                        <separator string="Values for Event Type" colspan="2"/>
                        <label string="client_action_multi, client_action_relate" colspan="2"/>
                        <label string="tree_but_action, client_print_multi"  colspan="2"/>
                    </group>
                    <group col="2" colspan="2">
                        <separator string="Action To Launch" colspan="2"/>
                        <field name="action_id" on_change="onchange_action_id(action_id)"/>
                        <field name="value_unpickle" required="1"/>
                        <field name="object" readonly="1"/>
                    </group>
                </form>
            </field>
        </record>
        <record id="act_values_form_action" model="ir.actions.act_window">
            <field name="name">Connect Actions To Client Events</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.values</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="view_id" ref="values_view_form_action"/>
            <field name="domain">[('key','=','action')]</field>
            <field name="context">{'read':'default','default_object':1}</field>
        </record>

        <menuitem action="act_values_form_action" id="menu_values_form_action" parent="base.menu_custom_action"/>


        <!-- Values -->

        <record id="values_view_form" model="ir.ui.view">
            <field name="name">ir.values.form</field>
            <field name="model">ir.values</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Values">
                    <field name="name" select="1"/>
                    <field name="model" select="1"/>
                    <field name="key" select="1"/>
                    <field name="key2" select="2"/>
                    <field name="object" select="2"/>
                    <field name="res_id"/>
                    <field name="user_id" select="2"/>
                    <field name="company_id" select="2"/>
                    <field name="value_unpickle"/>
                    <field name="meta_unpickle"/>
                </form>
            </field>
        </record>

        <record id="values_view_tree" model="ir.ui.view">
            <field name="name">ir.values.tree</field>
            <field name="model">ir.values</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Values">
                    <field name="name"/>
                    <field name="model"/>
                    <field name="key"/>
                    <field name="key2"/>
                    <field name="user_id"/>
                    <field name="company_id"/>
                </tree>
            </field>
        </record>

        <record id="act_values_form" model="ir.actions.act_window">
            <field name="name">Client Actions Connections</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.values</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="values_view_tree"/>
            <field name="context">{'read':'default'}</field>
        </record>

        <menuitem action="act_values_form" id="menu_values_form" parent="next_id_4"/>

        <!-- Sequences -->

        <record id="sequence_view" model="ir.ui.view">
            <field name="name">ir.sequence.form</field>
            <field name="model">ir.sequence</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Sequences">
                    <group col="6" colspan="4">
                        <field name="name" select="1"/>
                        <field name="code" select="1"/>
                        <field name="active" select="2"/>
                    </group>
                    <notebook>
                    <page string="Sequence">
                        <field name="prefix"/>
                        <field name="suffix"/>
                        <field name="padding"/>
                        <field name="number_increment"/>
                        <field name="number_next"/>
                        <separator colspan="4" string="Legend (for prefix, suffix)"/>
                        <group col="8" colspan="4">
                            <group>
                                <label colspan="4" string="Year with century: %%(year)s"/>
                                <label colspan="4" string="Year without century: %%(y)s"/>
                                <label colspan="4" string="Month: %%(month)s"/>
                                <label colspan="4" string="Day: %%(day)s"/>
                            </group>
                            <group>
                                <label colspan="4" string="Day of the year: %%(doy)s"/>
                                <label colspan="4" string="Week of the year: %%(woy)s"/>
                                <label colspan="4" string="Day of the week (0:Monday): %%(weekday)s"/>
                            </group>
                            <group>
                                <label colspan="4" string="Hour 00->24: %%(h24)s"/>
                                <label colspan="4" string="Hour 00->12: %%(h12)s"/>
                                <label colspan="4" string="Minute: %%(min)s"/>
                                <label colspan="4" string="Seconde: %%(sec)s"/>
                            </group>
                        </group>
                    </page>
                    </notebook>
                </form>
            </field>
        </record>
        <record id="sequence_view_tree" model="ir.ui.view">
            <field name="name">ir.sequence.tree</field>
            <field name="model">ir.sequence</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Sequences">
                    <field name="name"/>
                    <field name="code"/>
                    <field name="active"/>
                </tree>
            </field>
        </record>

        <record id="ir_sequence_form" model="ir.actions.act_window">
            <field name="name">Sequences</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.sequence</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="sequence_view_tree"/>
            <field name="context">{'active_test': False}</field>
        </record>
        <menuitem id="next_id_5" name="Sequences" parent="base.menu_config"/>
        <menuitem action="ir_sequence_form" id="menu_ir_sequence_form" parent="next_id_5"/>

        <!-- Sequences Types -->

        <record id="sequence_type_form_view" model="ir.ui.view">
            <field name="name">ir.sequence.type.form</field>
            <field name="model">ir.sequence.type</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Sequence Type">
                    <field name="name" select="1"/>
                    <field name="code"/>
                </form>
            </field>
        </record>

        <record id="ir_sequence_type" model="ir.actions.act_window">
            <field name="name">Sequence Types</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.sequence.type</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field eval="False" name="view_id"/>
        </record>
        <menuitem action="ir_sequence_type" id="menu_ir_sequence_type" parent="base.next_id_5"/>

        <!-- Actions -->

        <record id="action_view" model="ir.ui.view">
            <field name="name">ir.actions.actions</field>
            <field name="model">ir.actions.actions</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Action">
                    <field name="name" select="1"/>
                    <field name="type" select="1"/>
                    <field name="usage"/>
                </form>
            </field>
        </record>
        <record id="action_view_tree" model="ir.ui.view">
            <field name="name">ir.actions.actions.tree</field>
            <field name="model">ir.actions.actions</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Action">
                    <field name="name"/>
                    <field name="type"/>
                </tree>
            </field>
        </record>

        <record id="ir_sequence_actions" model="ir.actions.act_window">
            <field name="name">Actions</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.actions.actions</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="action_view_tree"/>
        </record>
        <menuitem id="next_id_6" name="Actions" parent="base.next_id_4"/>
        <menuitem action="ir_sequence_actions" id="menu_ir_sequence_actions" parent="next_id_6"/>

        <record id="act_report_custom_view" model="ir.ui.view">
            <field name="name">ir.actions.report.custom</field>
            <field name="model">ir.actions.report.custom</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Report custom">
                    <field name="name" select="1"/>
                    <field name="type" select="1"/>
                    <field name="report_id"/>
                    <field name="usage"/>
                </form>
            </field>
        </record>
        <record id="act_report_custom_view_tree" model="ir.ui.view">
            <field name="name">ir.actions.report.custom.tree</field>
            <field name="model">ir.actions.report.custom</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Report custom">
                    <field name="name"/>
                    <field name="type"/>
                </tree>
            </field>
        </record>

        <record id="ir_action_report_custom" model="ir.actions.act_window">
            <field name="name">Report Custom</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.actions.report.custom</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="act_report_custom_view_tree"/>
        </record>
        <menuitem action="ir_action_report_custom" id="menu_ir_action_report_custom" parent="base.next_id_6"/>

        <record id="act_report_xml_view" model="ir.ui.view">
            <field name="name">ir.actions.report.xml</field>
            <field name="model">ir.actions.report.xml</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Report xml">
                    <field name="name" select="1"/>
                    <field name="type" select="1"/>
                    <field name="model" select="1"/>
                    <newline/>
                    <field name="report_name" select="1"/>
                    <field name="report_xsl"/>
                    <field name="report_xml"/>
                    <field name="report_rml"/>
                    <field name="auto"/>
                    <field name="usage"/>
                    <field name="header"/>
                    <field name="report_type"/>
                    <field name="attachment"/>
                    <field name="attachment_use"/>
                    <field colspan="4" name="groups_id"/>
                </form>
            </field>
        </record>
        <record id="act_report_xml_view_tree" model="ir.ui.view">
            <field name="name">ir.actions.report.xml.tree</field>
            <field name="model">ir.actions.report.xml</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Report xml">
                    <field name="name"/>
                    <field name="type"/>
                    <field name="report_name"/>
                    <field name="report_type"/>
                    <field name="attachment"/>
                </tree>
            </field>
        </record>

        <record id="ir_action_report_xml" model="ir.actions.act_window">
            <field name="name">Report Xml</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.actions.report.xml</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="act_report_xml_view_tree"/>
        </record>
        <menuitem action="ir_action_report_xml" id="menu_ir_action_report_xml" parent="base.next_id_6"/>

        <record id="view_window_action_tree" model="ir.ui.view">
            <field name="name">ir.actions.windows.tree</field>
            <field name="model">ir.actions.act_window</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Open Window">
                    <field name="name"/>
                    <field name="res_model"/>
                    <field name="view_type"/>
                    <field name="view_id"/>
                    <field name="domain"/>
                </tree>
            </field>
        </record>

        <record id="view_window_action_form" model="ir.ui.view">
            <field name="name">ir.actions.windows.form</field>
            <field name="model">ir.actions.act_window</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Open a Window">
                    <field name="name" select="1"/>
                    <field name="type" readonly="1"/>
                    <field name="res_model" select="1"/>
                    <field name="src_model" select="2"/>
                    <field name="usage"/>
                    <field name="view_type"/>
                    <field colspan="4" name="view_ids">
                        <form string="Views">
                            <field colspan="4" name="sequence"/>
                            <field name="view_mode"/>
                            <field domain="[('type', '=', view_mode)]" name="view_id"/>
                        </form>
                        <tree string="Views">
                            <field name="sequence"/>
                            <field name="view_mode"/>
                            <field name="view_id"/>
                        </tree>
                    </field>
                    <field colspan="4" name="domain"/>
                    <field colspan="4" name="context"/>
                    <field name="limit"/>
                    <field name="auto_refresh"/>
                    <newline/>
                    <field name="view_mode"/>
                    <field name="view_id"/>
                </form>
            </field>
        </record>
        <record id="ir_action_window" model="ir.actions.act_window">
            <field name="name">Window Actions</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.actions.act_window</field>
            <field name="view_type">form</field>
        </record>
        <record id="ir_action_window_view1" model="ir.actions.act_window.view">
            <field eval="1" name="sequence"/>
            <field name="view_mode">tree</field>
            <field name="view_id" ref="view_window_action_tree"/>
            <field name="act_window_id" ref="ir_action_window"/>
        </record>
        <record id="ir_action_window_view2" model="ir.actions.act_window.view">
            <field eval="2" name="sequence"/>
            <field name="view_mode">form</field>
            <field name="view_id" ref="view_window_action_form"/>
            <field name="act_window_id" ref="ir_action_window"/>
        </record>
        <menuitem action="ir_action_window" id="menu_ir_action_window" parent="base.next_id_6"/>

        <record id="act_wizard_view_tree" model="ir.ui.view">
            <field name="name">ir.actions.wizard.tree</field>
            <field name="model">ir.actions.wizard</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Wizard">
                    <field name="name" select="1"/>
                    <field name="wiz_name" select="1"/>
                    <field name="multi"/>
                </tree>
            </field>
        </record>

         <record id="act_wizard_view" model="ir.ui.view">
            <field name="name">ir.actions.wizard</field>
            <field name="model">ir.actions.wizard</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Wizards">
                    <field name="name" select="1"/>
                    <field name="type" select="1"/>
                    <field name="wiz_name" select="1"/>
                    <field name="multi"/>
                    <field colspan="4" name="groups_id"/>
                </form>
            </field>
        </record>

        <record id="ir_action_wizard" model="ir.actions.act_window">
            <field name="name">Wizards</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.actions.wizard</field>
            <field name="view_type">form</field>
        </record>

        <menuitem action="ir_action_wizard" id="menu_ir_action_wizard" parent="base.next_id_6"/>

        <!-- Companies -->
        <record id="action_res_company_tree" model="ir.actions.act_window">
            <field name="name">Company's Structure</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.company</field>
            <field name="domain">[('parent_id','=',False)]</field>
            <field name="view_type">tree</field>
        </record>
        <menuitem action="action_res_company_tree" id="menu_action_res_company_tree" parent="base.menu_users" sequence="16"/>

        <record id="action_res_company_form" model="ir.actions.act_window">
            <field name="name">Companies</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.company</field>
            <field name="view_type">form</field>
        </record>
        <menuitem action="action_res_company_form" id="menu_action_res_company_form" parent="menu_action_res_company_tree"/>

        <!-- User Roles -->
        <record id="action_res_users" model="ir.actions.act_window">
            <field name="name">Users</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.users</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="view_users_tree"/>
        </record>
        <record id="action_res_users_view1" model="ir.actions.act_window.view">
            <field eval="10" name="sequence"/>
            <field name="view_mode">tree</field>
            <field name="view_id" ref="view_users_tree"/>
            <field name="act_window_id" ref="action_res_users"/>
        </record>
        <record id="action_res_users_view2" model="ir.actions.act_window.view">
            <field eval="20" name="sequence"/>
            <field name="view_mode">form</field>
            <field name="view_id" ref="view_users_form"/>
            <field name="act_window_id" ref="action_res_users"/>
        </record>

        <menuitem action="action_res_users" id="menu_action_res_users" parent="base.menu_users"/>

        <record id="action_res_users_my" model="ir.actions.act_window">
            <field name="name">Change My Preferences</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.users</field>
            <field name="view_type">form</field>
            <field name="view_mode">form,tree</field>
            <field name="domain">[('id','=',uid)]</field>
        </record>
        <record id="action_res_users_my_view1" model="ir.actions.act_window.view">
            <field eval="20" name="sequence"/>
            <field name="view_mode">tree</field>
            <field name="act_window_id" ref="action_res_users_my"/>
        </record>
        <record id="action_res_users_my_view2" model="ir.actions.act_window.view">
            <field eval="10" name="sequence"/>
            <field name="view_mode">form</field>
            <field name="view_id" ref="view_users_form_simple_modif"/>
            <field name="act_window_id" ref="action_res_users_my"/>
        </record>

        <record id="action_res_groups" model="ir.actions.act_window">
            <field name="name">Groups</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.groups</field>
            <field name="view_type">form</field>
        </record>
        <menuitem action="action_res_groups" id="menu_action_res_groups" parent="base.menu_users"/>

        <record id="view_roles_form" model="ir.ui.view">
            <field name="name">res.roles.form</field>
            <field name="model">res.roles</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Role">
                    <field colspan="4" name="name" select="1"/>
                    <field colspan="4" name="parent_id"/>
                </form>
            </field>
        </record>
        <record id="view_roles_tree" model="ir.ui.view">
            <field name="name">res.roles.tree</field>
            <field name="model">res.roles</field>
            <field name="type">tree</field>
            <field name="field_parent">child_id</field>
            <field name="arch" type="xml">
                <tree string="Roles">
                    <field name="name"/>
                </tree>
            </field>
        </record>
        <record id="action_res_roles" model="ir.actions.act_window">
            <field name="name">Roles Structure</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.roles</field>
            <field name="view_type">tree</field>
            <field eval="[('parent_id','=',False)]" name="domain"/>
        </record>
        <menuitem action="action_res_roles" id="menu_action_res_roles" parent="base.menu_users"/>

        <record id="action_res_roles_form" model="ir.actions.act_window">
            <field name="name">Roles</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">res.roles</field>
            <field name="view_type">form</field>
        </record>
        <menuitem action="action_res_roles_form" id="menu_action_res_roles_form" parent="menu_action_res_roles"/>

        <!-- View -->
        <record id="view_view_form" model="ir.ui.view">
            <field name="name">ir.ui.view</field>
            <field name="model">ir.ui.view</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Views">
                    <field name="name" select="1"/>
                    <field name="type" select="1"/>
                    <field name="model" select="1"/>
                    <field name="field_parent"/>
                    <field name="priority"/>
                    <field name="inherit_id"/>
                    <field colspan="4" name="arch"/>
                </form>
            </field>
        </record>
        <record id="view_view_tree" model="ir.ui.view">
            <field name="name">ir.ui.view.tree</field>
            <field name="model">ir.ui.view</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Views">
                    <field name="name"/>
                    <field name="type"/>
                    <field name="model"/>
                </tree>
            </field>
        </record>
        <record id="action_ui_view" model="ir.actions.act_window">
            <field name="name">Views</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.ui.view</field>
            <field name="view_id" ref="view_view_tree"/>
        </record>
        <menuitem action="action_ui_view" id="menu_action_ui_view" parent="base.next_id_2"/>

        <!-- Attachment -->
        <record id="view_attachment_form" model="ir.ui.view">
            <field name="name">ir.attachment.view</field>
            <field name="model">ir.attachment</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Attachments">
                    <group colspan="4" col="6">
                        <field name="name" select="1" />
                        <field name="create_uid" select="2"/>
                        <field name="create_date" select="2"/>
                    </group>
                    <notebook colspan="4">
                    <page string="Attachment">
                        <group col="2" colspan="2">
                            <separator string="Data" colspan="2"/>
                            <field name="datas" filename="datas_fname"/>
                            <field name="datas_fname" select="1"/>
                        </group>
                        <group col="2" colspan="2">
                            <separator string="Attached To" colspan="2"/>
                            <field name="res_model" select="2"/>
                            <field name="res_id"/>
                        </group>
                        <separator string="Preview" colspan="4"/>
                        <field
                            name="preview"
                            widget="picture"
                            readonly="1"
                            nolabel="1"
                            colspan="4"
                            img_height="400"
                            img_width="800"/>
                    </page>
                    <page string="Notes">
                        <field colspan="4" name="description" nolabel="1"/>
                    </page>
                    </notebook>
                </form>
            </field>
        </record>
        <record id="view_attachment_tree" model="ir.ui.view">
            <field name="name">ir.attachment.view.tree</field>
            <field name="model">ir.attachment</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Attachments">
                    <field name="name"/>
                    <field name="datas_fname"/>
                    <field name="create_uid"/>
                    <field name="create_date"/>
                </tree>
            </field>
        </record>

        <record id="action_attachment" model="ir.actions.act_window">
            <field name="name">Attachments</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.attachment</field>
            <field name="view_type">form</field>
            <field name="view_id" eval="False"/>
        </record>
        <menuitem action="action_attachment" id="menu_action_attachment" parent="base.next_id_4"/>

        <!-- Report -->
        <record id="view_report_custom_fields_tree" model="ir.ui.view">
            <field name="name">ir.report.custom.fields.tree</field>
            <field name="model">ir.report.custom.fields</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Report Fields">
                    <field name="sequence"/>
                    <field name="name"/>
                    <field name="width"/>
                    <field name="field_child0"/>
                    <field name="field_child1"/>
                    <field name="field_child2"/>
                    <field name="field_child3"/>
                </tree>
            </field>
        </record>

        <record id="view_report_custom_fields_form" model="ir.ui.view">
            <field name="name">ir.report.custom.fields</field>
            <field name="model">ir.report.custom.fields</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Report Fields">
                    <field name="name"/>
                    <field name="alignment"/>
                    <field name="width"/>
                    <field name="sequence"/>
                    <newline/>
                    <field name="bgcolor"/>
                    <field name="fontcolor"/>
                    <newline/>
                    <field name="operation"/>
                    <field name="groupby"/>
                    <field name="cumulate"/>
                    <newline/>
                    <field domain="[('model_id','=',parent['model_id'])]" name="field_child0" on_change="onchange_field_child0(field_child0)"/>
                    <field domain="[('model_id','=',parent['model_id'])]" name="fc0_operande"/>
                    <field name="fc0_op"/>
                    <field name="fc0_condition"/>
                    <newline/>
                    <field name="field_child1" on_change="onchange_field_child1(field_child1)"/>
                    <field name="fc1_operande"/>
                    <field name="fc1_op"/>
                    <field name="fc1_condition"/>
                    <newline/>
                    <field name="field_child2" on_change="onchange_field_child2(field_child2)"/>
                    <field name="fc2_operande"/>
                    <field name="fc2_op"/>
                    <field name="fc2_condition"/>
                    <newline/>
                    <field name="field_child3"/>
                    <field name="fc3_operande"/>
                    <field name="fc3_op"/>
                    <field name="fc3_condition"/>

                </form>
            </field>
        </record>

        <record id="view_report_custom_form" model="ir.ui.view">
            <field name="name">ir.report.custom</field>
            <field name="model">ir.report.custom</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Custom Report">
                    <field name="name" select="1"/>
                    <field name="model_id" on_change="onchange_model_id(model_id)" select="1"/>
                    <field name="title"/>
                    <field name="type"/>
                    <field name="print_format"/>
                    <field name="print_orientation"/>
                    <field name="repeat_header"/>
                    <field name="footer"/>
                    <field name="sortby"/>
                    <field name="field_parent"/>
                    <field name="frequency"/>
                    <field name="limitt"/>
                    <field name="menu_id"/>
                    <field colspan="4" name="fields_child0" widget="one2many_list"/>
                    <field name="state" readonly="1" select="1"/>
                    <group col="2" colspan="2">
                        <button name="subscribe" states="unsubscribed" string="Subscribe Report" type="object"/>
                        <button name="unsubscribe" states="subscribed" string="Unsubscribe Report" type="object"/>
                    </group>
                </form>
            </field>
        </record>
        <record id="action_report_custom" model="ir.actions.act_window">
            <field name="name">Custom Report</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.report.custom</field>
            <field name="view_type">tree</field>
            <field name="view_id" ref="view_report_custom_form"/>
        </record>
        <!--
    <menuitem name="Administration/Report/Report Custom" action="action_report_custom"/>
    -->

        <!-- model -->
        <record id="view_model_form" model="ir.ui.view">
            <field name="name">ir.model.form</field>
            <field name="model">ir.model</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Model Description">
                    <notebook>
                        <page string="Object">
                            <field name="name" select="1"/>
                            <field name="model" select="1"/>
                            <separator colspan="4" string="Fields"/>
                            <field colspan="4" context="{'manual':True}" name="field_id" nolabel="1">
                                <tree string="Fields Description">
                                    <field name="name"/>
                                    <field name="field_description"/>
                                    <field name="ttype"/>
                                    <field name="required"/>
                                    <field name="readonly"/>
                                    <field name="select_level"/>
                                    <field name="state"/>
                                </tree>
                                <form string="Fields Description">
                                    <group colspan="4" col="4">
                                        <field name="name" select="1"/>
                                        <field colspan="4" name="field_description" select="2"/>
                                    </group>

                                    <group colspan="2" col="2">
                                        <separator string="Field Type" colspan="2"/>
                                        <field name="ttype" select="2"/>
                                        <field name="relation" attrs="{'required': [('ttype','in',['many2one','one2many','many2many'])],'readonly': [('ttype','!=','one2many'), ('ttype','!=','many2one'), ('ttype','!=','many2many')]}"/>
                                        <field name="relation_field" attrs="{'required': [('ttype','=','one2many')], 'readonly': [('ttype','!=','one2many')]}"/>
                                        <field name="selection" attrs="{'required': [('ttype','in',['selection','reference'])], 'readonly': [('ttype','not in',['selection','reference'])]}"/>
                                        <field name="size" attrs="{'required': [('ttype','in',['char','reference'])], 'readonly': [('ttype','not in',['char','reference'])]}"/>
                                        <field name="state"/>
                                        <field name="domain" attrs="{'readonly': [('relation','=','')]}"/>
                                    </group>

                                    <group colspan="2" col="2">
                                        <separator string="Properties" colspan="2"/>
                                        <field name="required" select="2"/>
                                        <field name="readonly" select="2"/>
                                        <field name="select_level"/>
                                        <field name="translate"/>
                                        <field name="on_delete" attrs="{'readonly': [('ttype','!=','many2one')]}"/>
                                    </group>
                                    <separator string="Security on Groups" colspan="4"/>
                                    <field name="groups" colspan="4" nolabel="1"/>
                                </form>
                            </field>
                            <separator colspan="4" string="Status"/>
                            <field name="state"/>
                            <group col="2" colspan="2">
                                <button colspan="2" name="%(act_menu_create)d" string="Create a Menu" type="action" target="new"/>
                            </group>
                        </page>
                        <page string="Access Rights">
                            <field colspan="4" name="access_ids" select="1" nolabel="1">
                                <tree string="Access Rules" editable="bottom">
                                    <field name="group_id"/>
                                    <field name="perm_read"/>
                                    <field name="perm_write"/>
                                    <field name="perm_create"/>
                                    <field name="perm_unlink"/>
                                    <field name="name"/>
                                </tree>
                            </field>
                        </page>
                        <page string="Notes">
                            <field colspan="4" name="info" nolabel="1" select="1"/>
                        </page>
                    </notebook>
                </form>
            </field>
        </record>


        <record id="view_model_tree" model="ir.ui.view">
            <field name="name">ir.model.tree</field>
            <field name="model">ir.model</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Model Description">
                    <field name="name"/>
                    <field name="model"/>
                </tree>
            </field>
        </record>


        <!-- fields_description -->
        <record id="view_model_fields_form" model="ir.ui.view">
            <field name="name">ir.model.fields.form</field>
            <field name="model">ir.model.fields</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Fields">
                    <group colspan="4" col="4">
                        <field name="name" select="1"/>
                        <field name="model_id" readonly="1"/>
                        <field colspan="4" name="field_description" select="2"/>
                    </group>

                    <notebook>
                        <page string="Properties">
                            <group colspan="2" col="2">
                                <field name="ttype" select="2"/>
                                <field name="relation" select="2" attrs="{'required': [('ttype','in', ['many2one','one2many','many2many'])],
                                                                          'readonly': [('ttype','not in', ['many2one','one2many','many2many'])]}"/>
                                <field name="relation_field" attrs="{'required': [('ttype','=','one2many')], 'readonly': [('ttype','!=','one2many')]}"/>
                                <field name="selection" attrs="{'required': [('ttype','in',['selection','reference'])], 'readonly': [('ttype','not in',['selection','reference'])]}"/>
                                <field name="size" attrs="{'required': [('ttype','in',['char','reference'])], 'readonly': [('ttype','not in',['char','reference'])]}"/>
                                <field name="state"/>
                                <field name="domain" attrs="{'readonly': [('relation','=','')]}"/>
                            </group>

                            <group colspan="2" col="2">
                                <field name="required" select="2"/>
                                <field name="readonly" select="2"/>
                                <field name="select_level"/>
                                <field name="translate"/>
                                <field name="on_delete" attrs="{'readonly': [('ttype','!=','many2one')]}"/>
                            </group>
                        </page>
                        <page string="Security on Groups">
                            <field name="groups" colspan="4" nolabel="1"/>
                        </page>
                    </notebook>
                </form>
            </field>
        </record>


        <record id="view_model_fields_tree" model="ir.ui.view">
            <field name="name">ir.model.fields.tree</field>
            <field name="model">ir.model.fields</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Fields">
                    <field name="name"/>
                    <field name="field_description"/>
                </tree>
            </field>
        </record>

        <record id="action_model_model" model="ir.actions.act_window">
            <field name="name">Objects</field>
            <field name="res_model">ir.model</field>
            <field name="view_type">form</field>
            <field name="context">{'manual':True}</field>
            <field name="view_id" ref="view_model_tree"/>
        </record>
        <menuitem id="next_id_9" name="Database Structure" parent="base.menu_custom"/>
        <menuitem action="action_model_model" id="ir_model_model_menu" parent="next_id_9"/>

        <record id="action_model_fields" model="ir.actions.act_window">
            <field name="name">Fields</field>
            <field name="res_model">ir.model.fields</field>
            <field name="view_type">form</field>
            <field name="context">{'manual':True}</field>
            <field name="view_id" ref="view_model_fields_tree"/>
        </record>
        <menuitem action="action_model_fields" id="ir_model_model_fields" parent="base.next_id_9"/>

        <!-- Translations -->

        <record id="view_translation_form" model="ir.ui.view">
            <field name="name">Translations</field>
            <field name="model">ir.translation</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Translations">
                    <field name="name" select="2"/>
                    <field name="res_id" select="2"/>
                    <field name="type" select="2"/>
                    <field name="lang" select="1"/>
                    <field name="src" select="1"/>
                    <field name="value" select="1"/>
                </form>
            </field>
        </record>
        <record id="view_translation_tree" model="ir.ui.view">
            <field name="name">Translations</field>
            <field name="model">ir.translation</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Translations">
                    <field name="src"/>
                    <field name="value"/>
                    <field name="name"/>
                    <field name="lang"/>
                    <field name="type"/>
                </tree>
            </field>
        </record>

        <record id="action_translation" model="ir.actions.act_window">
            <field name="name">All terms</field>
            <field name="res_model">ir.translation</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="view_translation_tree"/>
        </record>
        <menuitem action="action_translation" id="menu_action_translation" parent="base.menu_translation_app"/>
        <record id="action_translation_untrans" model="ir.actions.act_window">
            <field name="name">Untranslated terms</field>
            <field name="res_model">ir.translation</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="view_translation_tree"/>
            <field name="domain">['|',('value', '=', False),('value','=','')]</field>
        </record>
        <menuitem action="action_translation_untrans" id="menu_action_translation_untrans" parent="menu_action_translation"/>

        <!--
    =============================================================
    Menu Edition
    =============================================================
    -->

        <record id="shortcut_form" model="ir.ui.view">
            <field name="name">ir.ui.view_sc</field>
            <field name="model">ir.ui.view_sc</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Shortcut">
                    <field colspan="4" name="name" select="1"/>
                    <field name="sequence"/>
                </form>
            </field>
        </record>
        <record id="shortcut_tree" model="ir.ui.view">
            <field name="name">ir.ui.view_sc</field>
            <field name="model">ir.ui.view_sc</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Shortcut">
                    <field name="name"/>
                    <field name="sequence"/>
                </tree>
            </field>
        </record>

        <record id="edit_menu" model="ir.ui.view">
            <field name="name">ir.ui.menu.tree</field>
            <field name="model">ir.ui.menu</field>
            <field name="type">tree</field>
            <field eval="8" name="priority"/>
            <field name="arch" type="xml">
                <tree string="Menu">
                    <field icon="icon" name="complete_name"/>
                </tree>
            </field>
        </record>

        <record id="edit_menu_access" model="ir.ui.view">
            <field name="name">ir.ui.menu.form2</field>
            <field name="model">ir.ui.menu</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Menu">
                    <field name="complete_name"/>
                    <field name="name" select="1"/>
                    <field name="sequence"/>
                    <field colspan="4" name="parent_id" select="1"/>
                    <field name="action"/>
                    <field colspan="4" name="groups_id"/>
                    <field name="icon" on_change="onchange_icon(icon)"/>
                    <field name="icon_pict" widget="picture" nolabel="1"/>
                </form>
            </field>
        </record>
        <record id="grant_menu_access" model="ir.actions.act_window">
            <field name="name">Grant Access To Menus</field>
            <field name="res_model">ir.ui.menu</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="edit_menu"/>
        </record>
        <menuitem action="grant_menu_access" id="menu_grant_menu_access" parent="base.menu_security"/>

        <!--
    =============================================================
    Cron Jobs
    =============================================================
    -->
        <record id="ir_cron_view_tree" model="ir.ui.view">
            <field name="name">ir.cron.tree</field>
            <field name="model">ir.cron</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Scheduled Actions">
                    <field name="nextcall"/>
                    <field name="name"/>
                    <field name="interval_number"/>
                    <field name="interval_type"/>
                    <field name="numbercall"/>
                </tree>
            </field>
        </record>
            <record id="ir_cron_view" model="ir.ui.view">
            <field name="name">ir.cron.form</field>
            <field name="model">ir.cron</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Scheduled Actions">
                    <notebook colspan="4">
                    <page string="Information">
                        <field name="name" select="1"/>
                        <field name="active" select="1"/>
                        <field name="user_id" select="1"/>
                        <field name="priority" select="1"/>
                        <newline/>
                        <field name="interval_number"/>
                        <field name="interval_type"/>
                        <newline/>
                        <field name="nextcall"/>
                        <field name="numbercall"/>
                        <field name="doall"/>
                    </page>
                    <page string="Technical Data" groups="base.group_extended">
                        <separator string="Action to Trigger" colspan="4"/>
                        <field name="model" groups="base.group_extended"/>
                        <field name="function" readonly="base.group_extended"/>
                        <field colspan="4" name="args" readonly="base.group_extended"/>
                    </page>
                    </notebook>
                </form>
            </field>
        </record>
        <record id="ir_cron_act" model="ir.actions.act_window">
            <field name="name">Scheduled Actions</field>
            <field name="res_model">ir.cron</field>
            <field name="view_type">form</field>
            <field name="context">{'active_test': False}</field>
            <field name="view_id" ref="ir_cron_view_tree"/>
        </record>
        <menuitem id="next_id_10" name="Scheduler" parent="base.menu_config"/>
        <menuitem action="ir_cron_act" id="menu_ir_cron_act" parent="next_id_10"/>


        <record id="ir_access_view_tree" model="ir.ui.view">
            <field name="name">ir.model.access.tree</field>
            <field name="model">ir.model.access</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Access Controls" editable="bottom">
                    <field name="name"/>
                    <field name="model_id"/>
                    <field name="group_id"/>
                    <field name="perm_read"/>
                    <field name="perm_write"/>
                    <field name="perm_create"/>
                    <field name="perm_unlink"/>
                </tree>
            </field>
        </record>
        <record id="ir_access_view_form" model="ir.ui.view">
            <field name="name">ir.model.access.form</field>
            <field name="model">ir.model.access</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Access Controls">
                    <field colspan="4" name="name" select="1"/>
                    <field name="model_id" select="1"/>
                    <field name="group_id" select="1"/>
                    <newline/>
                    <field name="perm_read"/>
                    <field name="perm_write"/>
                    <field name="perm_create"/>
                    <field name="perm_unlink"/>
                </form>
            </field>
        </record>
        <record id="ir_access_act" model="ir.actions.act_window">
            <field name="name">Access Controls List</field>
            <field name="res_model">ir.model.access</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="ir_access_view_tree"/>
        </record>
        <menuitem name="Access Controls" id="menu_security_access" parent="menu_security"/>
        <menuitem action="ir_access_act" id="menu_ir_access_act" parent="menu_security_access"/>

        <!-- Rules -->

        <record id="view_rule_group_form" model="ir.ui.view">
            <field name="name">Record rules</field>
            <field name="model">ir.rule.group</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Record rules">
                    <field name="model_id"/>
                    <field name="global"/>
                    <field colspan="4" name="name"/>
                    <group col="6" colspan="4" expand="1">
                        <field colspan="6" name="rules" nolabel="1"/>
                        <label align="0.0" colspan="6" string="The rule is satisfied if all test are True (AND)"/>
                        <label align="0.0" colspan="6" string="Multiple rules on same objects are joined using operator OR"/>
                    </group>
                </form>
            </field>
        </record>
        <record id="view_rule_group_tree" model="ir.ui.view">
            <field name="name">Record rules</field>
            <field name="model">ir.rule.group</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Record rules">
                    <field name="model_id"/>
                    <field name="name"/>
                    <field name="global"/>
                </tree>
            </field>
        </record>

        <record id="view_rule_form" model="ir.ui.view">
            <field name="name">Rule Definition</field>
            <field name="model">ir.rule</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Test">
                    <separator colspan="4" string="Simple domain setup"/>
                    <group col="6" colspan="4">
                        <field name="field_id"/>
                        <field name="operator"/>
                        <field name="operand"/>
                    </group>
                    <separator colspan="4" string="Manual domain setup"/>
                    <field name="domain_force"/>
                    <label colspan="4" string="If you don't force the domain, it will use the simple domain setup"/>
                </form>
            </field>
        </record>

        <record id="view_rule_tree" model="ir.ui.view">
            <field name="name">Rules</field>
            <field name="model">ir.rule</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Test">
                    <field name="domain"/>
                </tree>
            </field>
        </record>
        <record id="action_rule" model="ir.actions.act_window">
            <field name="name">Record Rules</field>
            <field name="res_model">ir.rule.group</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="view_rule_group_tree"/>
        </record>
        <menuitem action="action_rule" id="menu_action_rule" parent="base.menu_security"/>

        <record id="property_rule_group" model="ir.rule.group">
            <field name="name">Property multi-company</field>
            <field model="ir.model" name="model_id" search="[('model', '=', 'ir.property')]"/>
            <field eval="True" name="global"/>
        </record>
        <record id="property_rule_group2" model="ir.rule.group">
            <field name="name">Property multi-company 2</field>
            <field model="ir.model" name="model_id" search="[('model', '=', 'ir.property')]"/>
            <field eval="True" name="global"/>
        </record>
        <record id="property_rule" model="ir.rule">
            <field model="ir.model.fields" name="field_id" search="[('model', '=', 'ir.property'), ('name', '=', 'company_id')]"/>
            <field name="operator">child_of</field>
            <field name="operand">user.company_id.id</field>
            <field name="rule_group" ref="property_rule_group"/>
        </record>
        <record id="property_rule_bis" model="ir.rule">
            <field model="ir.model.fields" name="field_id" search="[('model', '=', 'ir.property'), ('name', '=', 'company_id')]"/>
            <field name="operator">=</field>
            <field name="operand">False</field>
            <field name="rule_group" ref="property_rule_group2"/>
        </record>

        <!--server action view-->

        <record id="view_server_action_form" model="ir.ui.view">
            <field name="name">Server Action</field>
            <field name="model">ir.actions.server</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Server Action">
                	<group col="6" colspan="4">
	                    <field name="name" select="1"/>
	                    <field name="model_id" select="1"/>
	                    <field name="state" select="1"/>
	                    <field name="sequence" select="2"/>
	                    <field name="condition"/>
	                </group>
                    <notebook colspan="4">
                        <page string="Python Code" attrs="{'invisible':[('state','!=','code')]}">
                            <separator colspan="4" string="Python Code"/>
                            <field name="code" colspan="4" nolabel="1"/>
                        </page>
                        <page string="Trigger" attrs="{'invisible':[('state','!=','trigger')]}">
                            <separator colspan="4" string="Trigger Configuration"/>
                            <field name="wkf_model_id" attrs="{'required':[('state','=','trigger')]}"/>
                            <field name="trigger_obj_id" select="2" context="{'key':''}" domain="[('model_id','=',model_id)]" attrs="{'required':[('state','=','trigger')]}"/>
                            <field name="trigger_name" select="2" attrs="{'required':[('state','=','trigger')]}"/>
                        </page>
                        <page string="Action to Launch" attrs="{'invisible':[('state','!=','client_action')]}">
                        	<separator colspan="4" string="Client Action Configuration"/>
                            <field name="action_id" select="2" attrs="{'required':[('state','=','client_action')]}"/>
                        </page>
                        <page string="Email Configuration" attrs="{'invisible':[('state','!=','email')]}">
                            <separator colspan="4" string="Email Configuration"/>
                            <field name="email" domain="[('model_id','=',model_id)]" attrs="{'required':[('state','=','email')]}"/>
                            <field name="subject" colspan="4" attrs="{'required':[('state','=','email')]}"/>
                            <field name="message" select="2" colspan="4" attrs="{'required':[('state','=','email')]}"/>
                            <newline/>
                            <label colspan="4" string="Access all the fields related to the current object using expression in double brackets, i.e.[[ object.partner_id.name ]]" align="0.0"/>
                        </page>
                        <page string="SMS Configuration" attrs="{'invisible':[('state','!=','sms')]}">
                            <separator colspan="4" string="SMS Configuration"/>
                            <field name="mobile" domain="[('model_id','=',model_id)]" attrs="{'required':[('state','=','sms')]}"/>
                            <field name="sms" colspan="4" attrs="{'required':[('state','=','sms')]}"/>
                            <newline/>
                            <label colspan="4" string="Access all the fields related to the current object using expression in double brackets, i.e. [[ object.partner_id.name ]]" align="0.0"/>
                        </page>
                        <page string="Create / Write" attrs="{'invisible':[('state','!=','object_create'),('state','!=','object_write')]}">
                            <separator colspan="4" string="Fields Mapping"/>
                           	<field name="srcmodel_id" select="2" attrs="{'required':[('state','!=','dummy'), ('state','!=','sms'), ('state','!=','code'), ('state','!=','loop'),('state','!=','trigger'), ('state','!=','client_action'), ('state','!=','email'), ('state','!=','sms'), ('state','!=','other')]}"/>
                            <field name="fields_lines" nolabel="1" select="2" colspan="4">
                                <tree string="Field Mappings" editable="top">
                                    <field name="col1" domain="[('model_id','=',parent.srcmodel_id or parent.model_id)]"/>
                                    <field name="type"/>
                                    <field name="value" colspan="4"/>
                                </tree>
                                <form string="Field Mapping">
                                    <field name="col1" domain="[('model_id','=',parent.srcmodel_id or parent.model_id)]"/>
                                    <field name="type"/>
                                    <field name="value" colspan="4"/>
                                </form>
                            </field>
                            <field name="record_id" attrs="{'readonly':[('state','!=','object_create')]}" domain="[('model_id','in',[model_id])]"/>
                             <field name="write_id" attrs="{'readonly':[('state','!=','object_write')]}"/>
                            <label colspan="4" string="If you use a formula type, use a python expression using the variable 'object'." align="0.0"/>
                        </page>
                        <page string="Iteration Actions" attrs="{'invisible':[('state','!=','loop')]}">
                            <separator colspan="4" string="Iteration Action Configuration"/>
                            <field name="expression" attrs="{'required':[('state','=','loop')]}"/>
                            <field name="loop_action" domain="[('state','!=','loop')]" attrs="{'required':[('state','=','loop')]}"/>
                        </page>
                        <page string="Multi Actions" attrs="{'invisible':[('state','!=','other')]}">
                            <separator colspan="4" string="Other Actions Configuration"/>
                            <field name="child_ids" nolabel="1" colspan="4"/>
                            <label colspan="4" string="Only one client action will be execute, last
                                clinent action will be consider in case of multiples clients actions" align="0.0"/>
                        </page>
                    </notebook>
                    <field name="type" readonly="1"/>
                </form>
            </field>
        </record>

        <record id="view_server_action_tree" model="ir.ui.view">
            <field name="name">Server Actions</field>
            <field name="model">ir.actions.server</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Server Actions">
                    <field name="name"/>
                    <field name="state"/>
                    <field name="model_id"/>
                    <field name="sequence"/>
                </tree>
            </field>
        </record>

        <record id="action_server_action" model="ir.actions.act_window">
            <field name="name">Server Actions</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.actions.server</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="view_id" ref="view_server_action_tree"/>
            <field name="context">{'key':'server_action'}</field>
        </record>
        <menuitem action="action_server_action" id="menu_server_action" parent="base.menu_custom_action"/>

        <record id="view_model_fields_tree" model="ir.ui.view">
            <field name="name">ir.model.fields.tree</field>
            <field name="model">ir.model.fields</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Fields">
                    <field name="complete_name"/>
                    <field name="model_id"/>
                    <field name="name"/>
                    <field name="field_description"/>
                </tree>
            </field>
        </record>

        <record model="ir.actions.act_window" id="action_model_grid_security">
            <field name="name">Access Controls Grid</field>
            <field name="res_model">ir.model.grid</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
        </record>
        <menuitem action="action_model_grid_security" id="menu_ir_access_grid" parent="menu_security_access"/>

        <record id="ir_actions_todo_tree" model="ir.ui.view">
            <field name="model">ir.actions.todo</field>
            <field name="name">Config Wizard Steps</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree editable="bottom" string="Config Wizard Steps">
                    <field name="name" select="1"/>
                    <field name="action_id" select="1"/>
                    <field name="sequence"/>
                    <field name="state"/>
                    <field name="active" select="1"/>
                </tree>
            </field>
        </record>
        <record id="config_wizard_step_view_form" model="ir.ui.view">
            <field name="model">ir.actions.todo</field>
            <field name="name">Config Wizard Steps</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form editable="bottom" string="Config Wizard Steps">
                    <field name="name" select="1"/>
                    <field name="active" select="1"/>
                    <field name="action_id" select="1"/>
                    <field name="sequence"/>
                    <field name="state"/>
                    <field colspan="4" name="note"/>
                </form>
            </field>
        </record>
        <record id="act_ir_actions_todo_form" model="ir.actions.act_window">
            <field name="name">Config Wizard Steps</field>
            <field name="res_model">ir.actions.todo</field>
            <field name="view_id" ref="ir_actions_todo_tree"/>
            <field name="view_type">form</field>
            <field name="domain">[('type','=','configure')]</field>
        </record>
        <menuitem id="next_id_11" name="Configuration Wizards" parent="base.menu_config" sequence="1"/>
        <menuitem action="act_ir_actions_todo_form" id="menu_ir_actions_todo_form" parent="next_id_11"/>

        <record id="view_config_wizard_form" model="ir.ui.view">
            <field name="name">Main Configuration Wizard</field>
            <field name="model">ir.actions.configuration.wizard</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Next Configuration Step">
                    <image name="gtk-dialog-info"/>
                    <group>
                        <separator string="Next Configuration Step" colspan="4"/>
                        <field name="name" nolabel="1" colspan="4" width="500"/>
                        <field name="progress" widget="progressbar"/>
                        <separator colspan="4" string=""/>
                        <label string="" colspan="2"/>
                        <group colspan="2" col="2">
                            <button icon="gtk-cancel" name="button_skip" string="Skip Step" type="object"/>
                            <button icon="gtk-go-forward" name="button_continue" string="Continue" type="object"/>
                        </group>
                    </group>
                </form>
            </field>
        </record>

        <record id="action_config_wizard_form" model="ir.actions.act_window">
            <field name="name">Configuration Wizard</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">ir.actions.configuration.wizard</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="target">new</field>
        </record>
        <menuitem action="action_config_wizard_form" id="menu_config_module" parent="base.next_id_11"/>

    </data>
</openerp>
